
// 客户页面
const mainPages = [
  {
    title: '首页',
    page: 'pages/index/index',
    isIndex: true,
  },
  {
    title: '更多',
    page: 'pages/moreOrder/index',
  },
  {
    title: '详情',
    page: 'pages/orderDetail/index',
  },
  
];

// 所有的页面
const routes = mainPages

// 主包
const pages = mainPages.map(x => x.page);


// 获取路径对应页面
function getPageBy(path) {
  return routes.filter(x => path.indexOf(x.page) > -1)[0]
}

// 获取角色首页
function getIndexPageOf(role) {
  return routes.filter(x => x.root === role && x.isIndex)[0]
}

// eslint-disable-next-line import/no-commonjs
module.exports = {
  routes,
  pages,
  getPageBy,
  getIndexPageOf
}
